/* Global Styles */

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face{
    font-family: 'Ruhl';
    src: url('/Fonts/FrankRuhlLibre-Regular.ttf')
}

@font-face{
    font-family: 'Ruhl Medium';
    src: url('/Fonts/FrankRuhlLibre-Medium.ttf')
}

@font-face{
    font-family: 'Vibes';
    src: url('/Fonts/GreatVibes-Regular.ttf')
}


html{
    font-size: 62.5%;
    --header1: calc(2rem + 1vw);
    --header2: calc(3.5rem + 1vw);
    --header3: calc(3rem + 1vw);
    --header4: calc(2.4rem + 1vw);
    --text: calc(1.5rem + 1vw);
    --big: calc(6rem + 1vw);
    --special-color: #906272;
    --background-color: #2F4454; 
    --gray-text: #525252;
}

h1{
    font-size: var(--header1);
}
li,button,label,input,p,a{
    font-size: var(--text);
}
h2{
    font-size: var(--header2);
}
h3{
    font-size: var(--header3);
}
h4,h5{
    font-size: var(--header4);
}

ul{
    list-style: none;
}

a{
    text-decoration: none;
    color: black;
}

.flex{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

body{
    font-family: "Ruhl", sans-serif;
    animation: opening 1s ease-in-out;
}
h1{
    font-family: "Vibes", sans-serif;
}


body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f5f5f5;
  }
  
  header {
    background-color: #2F4454;
    color: white;
    text-align: center;
    padding: 1rem;
  }
  
  main {
    padding: 2rem;
  }
  
  .gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    grid-gap: 20px;
  }
  
  .item {
    position: relative;
    overflow: hidden;
    border: 1px solid #ddd;
  }
  
  .item img {
    width: 100%;
    height: auto;
  }
  
  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
  }
  
  .item:hover .overlay {
    opacity: 1;
  }
  
  .overlay h2, .overlay p {
    margin: 0;
    padding: 0;
  }
  
  
/* FOOTER SECTION*/ 

footer{
    background: #2F4454;
    color: white;
    display: flex;
    padding: 3rem 5%;
    align-items: center;
    flex-wrap: wrap;
}
footer ul{
    display: flex;
    flex: 1 1 40rem;
    justify-content: space-between;
    align-items: center;
}
footer h4{
    flex: 3 1 40rem;
    font-size: calc(1.4rem + 1vw);
}